clc

N = 1000;  %Numero de gorjetas
a = 0;

%Probabilidade = 0.8
r = randi([1 100],1,N);  %Lista de 100 numeros inteiros
                         %aleatorios de 1 a 100
for i=1:length(r)
    if 1 <= r(i) && r(i)<= 80
        a = a+1;         %a = quantidade de vezes que
                         %aparece um numero entre 1 e 80
    end
end

Ganho_acumulado_P = a*20;
Ganho_media_P = Ganho_acumulado_P/N